Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.io
Class GifEncoder

    java.lang.Object
      ij.io.GifEncoder

public class GifEncoder
extends java.lang.Object

GifEncoder - writes out an image as a GIF. Transparency handling and variable bit size courtesy of Jack Palevich. Copyright (C) 1996 by Jef Poskanzer . All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. Visit the ACME Labs Java page for up-to-date versions of this and other fine Java utilities: http://www.acme.com/java/

Constructor Summary
`GifEncoder(java.awt.Image img)` Constructs a new GifEncoder using an 8-bit AWT Image.
`GifEncoder(int width, int height, byte[] pixels, byte[] r, byte[] g, byte[] b)` Constructs a new GifEncoder.

Method Summary
`int` | `getTransparentPixel()`
`void` | `setTransparentPixel(int pixel)`
`void` | `write(java.io.OutputStream out)` Saves the image as a GIF file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GifEncoder

    public GifEncoder(int width,
                      int height,
                      byte[] pixels,
                      byte[] r,
                      byte[] g,
                      byte[] b)

  Constructs a new GifEncoder.

Parameters:
  `width` - The image width.
  `height` - The image height.
  `pixels` - The pixel data.
  `r` - The red look-up table.
  `g` - The green look-up table.
  `b` - The blue look-up table.

### GifEncoder

    public GifEncoder(java.awt.Image img)

  Constructs a new GifEncoder using an 8-bit AWT Image. The image is assumed to be fully loaded.

Method Detail

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Saves the image as a GIF file.

  Throws:
    `java.io.IOException`

### setTransparentPixel

    public void setTransparentPixel(int pixel)

### getTransparentPixel

    public int getTransparentPixel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD